CSFML - C binding of the Simple and Fast Multimedia Library

CSFML 3.0.0

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
sfEvent Union Reference

sfEvent defines a system event and its parameters More...

`#include <CSFML/Window/Event.h>`

## Public Attributes
sfEventType | type
| Type of the event.
sfSizeEvent | size
| Size event parameters.
sfKeyEvent | key
| Key event parameters.
sfTextEvent | text
| Text event parameters.
sfMouseMoveEvent | mouseMove
| Mouse move event parameters.
sfMouseMoveRawEvent | mouseMoveRaw
| Mouse move raw event parameters.
sfMouseButtonEvent | mouseButton
| Mouse button event parameters.
sfMouseWheelScrollEvent | mouseWheelScroll
| Mouse wheel event parameters.
sfJoystickMoveEvent | joystickMove
| Joystick move event parameters.
sfJoystickButtonEvent | joystickButton
| Joystick button event parameters.
sfJoystickConnectEvent | joystickConnect
| Joystick (dis)connect event parameters.
sfTouchEvent | touch
| Touch events parameters.
sfSensorEvent | sensor
| Sensor event parameters.

## Detailed Description

sfEvent defines a system event and its parameters

Definition at line 209 of file Event.h.

## Member Data Documentation

## ◆ joystickButton

sfJoystickButtonEvent sfEvent::joystickButton

Joystick button event parameters.

Definition at line 220 of file Event.h.

## ◆ joystickConnect

sfJoystickConnectEvent sfEvent::joystickConnect

Joystick (dis)connect event parameters.

Definition at line 221 of file Event.h.

## ◆ joystickMove

sfJoystickMoveEvent sfEvent::joystickMove

Joystick move event parameters.

Definition at line 219 of file Event.h.

## ◆ key

sfKeyEvent sfEvent::key

Key event parameters.

Definition at line 213 of file Event.h.

## ◆ mouseButton

sfMouseButtonEvent sfEvent::mouseButton

Mouse button event parameters.

Definition at line 217 of file Event.h.

## ◆ mouseMove

sfMouseMoveEvent sfEvent::mouseMove

Mouse move event parameters.

Definition at line 215 of file Event.h.

## ◆ mouseMoveRaw

sfMouseMoveRawEvent sfEvent::mouseMoveRaw

Mouse move raw event parameters.

Definition at line 216 of file Event.h.

## ◆ mouseWheelScroll

sfMouseWheelScrollEvent sfEvent::mouseWheelScroll

Mouse wheel event parameters.

Definition at line 218 of file Event.h.

## ◆ sensor

sfSensorEvent sfEvent::sensor

Sensor event parameters.

Definition at line 223 of file Event.h.

## ◆ size

sfSizeEvent sfEvent::size

Size event parameters.

Definition at line 212 of file Event.h.

## ◆ text

sfTextEvent sfEvent::text

Text event parameters.

Definition at line 214 of file Event.h.

## ◆ touch

sfTouchEvent sfEvent::touch

Touch events parameters.

Definition at line 222 of file Event.h.

## ◆ type

sfEventType sfEvent::type

Type of the event.

Definition at line 211 of file Event.h.

The documentation for this union was generated from the following file:

- Event.h